Bug 1470014 - [RFE] Add ability to list global parameters for each host in hammer
Summary: [RFE] Add ability to list global parameters for each host in hammer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: orabin
QA Contact: Jan Hutař
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1493107
TreeView+ depends on / blocked
 
Reported: 2017-07-12 09:28 UTC by Jitendra Yejare
Modified: 2019-11-05 23:06 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:58 UTC
Foreman Issue Tracker 20286 None None None 2017-07-12 10:06:22 UTC

Description Jitendra Yejare 2017-07-12 09:28:44 UTC
Description of problem:
Currently there isnt a way of listing the global parameters of particular host using hammer. Neither in host info nor any separate option is available for that.

So this RFE is to add the ability to list the global parameters of each host through hammer.


Version-Release number of selected component (if applicable):
Satellite 6.3 snap 5 (Can be added to all previous sat versions 6.1 and 6.2)

How reproducible:


Steps to Reproduce:
1. Create host that will inherit the global parameters from parent component
2. List all the global params for that host through hammer.


Actual results:
No way of listing global params for perticular host through hammer


Expected results:
Add ability to list global parameters for each host in hammer


Additional info:

Comment 1 Jitendra Yejare 2017-07-12 09:35:14 UTC
Created redmine issue http://projects.theforeman.org/issues/20286 from this bug

Comment 2 pm-sat@redhat.com 2017-07-14 08:15:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20286 has been resolved.

Comment 3 Jitendra Yejare 2017-07-28 07:39:07 UTC
Does this RFE applied from API end as well ?

I can not access inherited global parameters in hosts from API as well, It would be great to have this in API as well.

Comment 4 orabin 2017-07-31 07:52:47 UTC
The API already has 'parameters' which are the host parameters and 'all_parameters' which includes all the inherited parameters.

Comment 7 errata-xmlrpc 2018-10-16 15:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.